# gocloud

https://gocloud.dev/howto/docstore/

Why ?

We will have to host some stuff on google, etc for HA aspects. It will be things that are running the other Server NOT inside google.

It seems to have what we need.
PUB SUB

Doc store
- Mongo: https://gocloud.dev/howto/docstore/#mongo

SQL 
- Postresqql: https://gocloud.dev/howto/sql/#local

S3 store
- Minio, SeaWeed, etc: https://gocloud.dev/howto/blob/#s3-compatible
- SeaWeed loosk nice actuall.

Secrets
- Local and Vault: https://gocloud.dev/howto/secrets/
- Local we also need for the users Private key
- Vault we need for our Servrs keys


## Examples

SEARCH: https://github.com/search?o=desc&q=gocloud.dev&s=indexed&type=Code

https://github.com/holive/feedado

https://github.com/facebookincubator/magma
- Ent is a fantastic Golang DB framework 
